import { formatCar } from 'formatCar.js'
const carsJSON = `[
  {
    "year": 2000,
    "make": "Honda",
    "model": "Accord",
    "price": 2800
  },
  {
    "make": "Nissan",
    "model": "Leaf",
    "year": 2012,
    "price": 1800
  },
  {
    "make": "Ford",
    "model": "F150",
    "year": 2009,
    "price": 1950
  },
  {
    "make": "Chevrolet",
    "model": "Trailblazer",
    "year": 2009,
    "price": 1550
  },
  {
    "make": "Honde",
    "model": "Pilot",
    "year": 2003,
    "price": 2200
  }
]`;
const cars = JSON.parse(carsJSON);

const report = cars.filter(car => car.price < 2000)
	.map(formatCar)
	.join('\n');

const message = report;

document.getElementById('message-element')
  .textContent = message;